Bug 227246 - lang/php56: Update to 5.6.35, Fixes security vulnerabilities
Summary: lang/php56: Update to 5.6.35, Fixes security vulnerabilities
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: Alex Dupre
URL:
Keywords: security
Depends on:
Blocks:
 
Reported: 2018-04-03 08:43 UTC by Dani
Modified: 2018-04-26 10:45 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (ale)
riggs: maintainer-feedback+
riggs: merge-quarterly+


Attachments
Update to 5.6.35 (996 bytes, patch)
2018-04-03 08:43 UTC, Dani
i.dani: maintainer-approval? (ale)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dani 2018-04-03 08:43:57 UTC
Created attachment 192161 [details]
Update to 5.6.35

Update to latest PHP 5.6 release - current is vulnerable.

Update to 5.6.35 release.
  - Remove PORTREVISION for slave ports
  - Fix http://bugs.php.net/75605
  - Changes: http://www.php.net/ChangeLog-5.php#5.6.35
Comment 1 commit-hook freebsd_committer 2018-04-08 07:00:46 UTC
A commit references this bug:

Author: ale
Date: Sun Apr  8 06:59:57 UTC 2018
New revision: 466773
URL: https://svnweb.freebsd.org/changeset/ports/466773

Log:
  Update to 5.6.35 release.

  PR:		227246
  Submitted by:	Dani <i.dani@outlook.com>

Changes:
  head/graphics/php56-gd/Makefile
  head/lang/php56/Makefile
  head/lang/php56/distinfo
Comment 2 commit-hook freebsd_committer 2018-04-09 09:17:21 UTC
A commit references this bug:

Author: riggs
Date: Mon Apr  9 09:16:48 UTC 2018
New revision: 466842
URL: https://svnweb.freebsd.org/changeset/ports/466842

Log:
  MFH: r466773

  Update to 5.6.35 release.

  PR:		227246
  Submitted by:	Dani <i.dani@outlook.com>

  Approved by:	ports-secteam (riggs)

Changes:
_U  branches/2018Q2/
  branches/2018Q2/graphics/php56-gd/Makefile
  branches/2018Q2/lang/php56/Makefile
  branches/2018Q2/lang/php56/distinfo